travis-ci build deploy is currently broken, help?

15 views
Skip to first unread message

Tobi Delbruck

unread,
Mar 19, 2021, 3:27:13 AMMar 19
to jaer-users
Right now for some reason the Travis-CI build deployment is broken which is why the new releases do not come with a zip archive that is a working runtime release.
The error is  reported at https://travis-ci.com/github/SensorsINI/jaer as

Installing deploy dependencies
2150/home/travis/.rvm/gems/ruby-2.4.1/gems/octokit-4.6.2/lib/octokit/response/raise_error.rb:16:in `on_complete': GET https://api.github.com/user: 401 - Bad credentials // See: https://docs.github.com/rest (Octokit::Unauthorized)
2151 from /home/travis/.rvm/gems/ruby-2.4.1/gems/faraday-0.15.4/lib/faraday/response.rb:9:in `block in call'

If someone knows how to fix this pls let us know.
The travis build setup is in the .travis.yml file at root of jaer project.

Tobi Delbruck

unread,
Mar 30, 2021, 6:28:39 AMMar 30
to jaer-users
Travis build problem solved by making a new githhub token for the Travis deployment to github of the results of the build (the jaer-XXX.zip archive). 
README-release-tagging.txt updated with this information.

Reply all
Reply to author
Forward
0 new messages